### Enumeration

# Clutter PanAxis

#### Declaration

    enum Clutter.PanAxis

#### Description [src]

The axis of the constraint that should be applied on the panning action.

#### Members

`CLUTTER_PAN_AXIS_NONE`

  No constraint.

  - Value: `0`
  - Available since: 16
`CLUTTER_PAN_X_AXIS`

  Set a constraint on the X axis.

  - Value: `1`
  - Available since: 16
`CLUTTER_PAN_Y_AXIS`

  Set a constraint on the Y axis.

  - Value: `2`
  - Available since: 16
`CLUTTER_PAN_AXIS_AUTO`

  Constrain panning automatically based on initial movement (available since 1.24).

  - Value: `3`
  - Available since: 16